apiVersion: tekton.dev/v1alpha1
kind: Pipeline
metadata:
  name: cdci-webhook-pipeline
  namespace: cdci-librecloud-online
spec:
  #serviceAccount: build-bot
  resources:
    - name: source-repo
      type: git
      #resourceRef:
      #  name: librecloud-webhook-pipeline-git
    - name: target-image
      type: image
      #resourceRef:
      #  name: librecloud-webhook-pipeline-img
  tasks:
    - name: build-webhook-pipeline-img
      taskRef:
        name: webhook-pipeline-build-image-from-git-source
      params:
        - name: pathToDockerFile
          value: /workspace/source/src
        - name: pathToContext
          value: /workspace/source/src #configure: may change according to your source
      resources:
        inputs:
          - name: source
            resource: source-repo
        outputs:
          - name: builtImage
            resource: target-image
